PDELEGATE(8)

NAME
pdelegate - prefix delegation client

SYNOPSIS
pdelegate [-dv] [-l prefixlen] interface

DESCRIPTION
pdelegate requests an IPv6 prefix to a delegator on interface, by using ICMPv6 prefix delegation protocol.

-d  The flag puts the program into the debug mode. Specifically, -d turns off ICMPv6 type-based filter.

-l prefixlen
    prefixlen specifies the prefix length to be requested to the delegator. The default value for prefixlen is 64.

-v  The flag lets pdelegate generate more verbose messages to the standard error device.

RETURN VALUES
pdelegate exits with EXIT_SUCCESS (0) on successful prefix delegation, and EXIT_FAILURE (1) on error or timeouts (like when there is no delegator).

SEE ALSO
Brian Haberman, Jim Martin, Automatic Prefix Delegation Protocol for IPv6, draft-haberman-ipngwg-auto-prefix-01.txt, work in progress material, July 2001.

BUGS
There are numerious assumptions hardcoded into the program, which we should not.

There is no official ICMPv6 type assigned for the ICMPv6 prefix delegation protocol. The program uses 150 and 151 by default.

There is no IPv6 link-local multicast address assigned for the protocol, for the use during the delegator discovery phase. The program uses ff02::2 (all-routers multicast address) for now.